What versions of Outlook does this software work with?

EmailMerge can be used with Outlook 2000, Outlook 2002/XP, Outlook 2003, Outlook 2007 and Outlook 2010(32-bit version only).

Add Feedback